<div>
  <div class="modal-header">
    <h5>{{ data.name }}</h5>
    <button mat-icon-button (click)="close()">
      <mat-icon>close</mat-icon>
    </button>
  </div>

  <div class="modal-content">
    <div class="row">
      <div class="cover-input">
        <mat-form-field appearance="outline" class="input">
          <input matInput xrdOnlyNumber [(ngModel)]="data.minValue" />
        </mat-form-field>
        <span class="input-label">GPa</span>
      </div>
      <span class="separator">-</span>
      <div class="cover-input">
        <mat-form-field appearance="outline" class="input">
          <input matInput xrdonlynumber [(ngModel)]="data.maxValue" />
        </mat-form-field>
        <span class="input-label">GPa</span>
      </div>
    </div>

    <idemg-range-slider
      [(minValue)]="data.minValue"
      [(maxValue)]="data.maxValue"
      [min]="data.min"
      [max]="data.max"
      [manualRefresh]="onLoad"
    ></idemg-range-slider>

    <div class="actions">
      <button mat-button (click)="close()">Cancel</button>
      <button mat-flat-button class="secondary-btn" (click)="close(data)">Save Changes</button>
    </div>
  </div>
</div>
